@if (!edit) {
  <div
    class="rich-text-border full-height ck-content"
    [class.editable]="editable"
    [attr.data-test-element-id]="'read-mode-container'"
    (click)="handleClick($event)"
  >
    @if (value) {
      <div [innerHTML]="value | safeRichContent"></div>
    } @else {
      <div>
        @if (editable) {
          <span class="sqtm-placeholder">{{ placeholder }}</span>
        }
      </div>
    }
  </div>
}
@if (edit) {
  <div class="flex-column">
    <div class="flex-row full-width">
      <ckeditor
        #ckeditor
        style="width: 100%"
        [(ngModel)]="editorModel.editorData"
        (blur)="handleClickOut($event)"
        (ready)="handleCKEditorReady()"
        (fileUploadRequest)="handleFileUploadRequest($event)"
        [config]="config"
        [type]="type"
        [editorUrl]="'assets/sqtm-core/js/ckeditor/ckeditor.js'"
      >
      </ckeditor>
    </div>
    <div class="flex-row full-width">
      @if (mustShowButtons()) {
        <div [ngClass]="getButtonBarCss()">
          <button
            nz-button
            nzType="primary"
            [attr.data-test-button-id]="'confirm'"
            #confirmButton
            [ngClass]="getConfirmButtonCss()"
            [nzSize]="size"
            [nzLoading]="pending"
            (click)="confirm()"
          >
            <i nz-icon [nzType]="'check'"></i>
            @if (mustShowButtonLabels()) {
              {{ 'sqtm-core.generic.label.confirm' | translate | capitalize }}
            }
          </button>
          <button
            nz-button
            nzType="default"
            #cancelButton
            [attr.data-test-button-id]="'cancel'"
            [nzSize]="size"
            [ngClass]="getCancelButtonCss()"
            [nzLoading]="pending"
            (click)="cancel()"
          >
            <i nz-icon [nzType]="'close'"></i>
            @if (mustShowButtonLabels()) {
              {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
            }
          </button>
        </div>
      }
    </div>
    @if (dirty && externalErrors.length > 0) {
      <div class="flex-column full-width has-error m-t-10">
        @for (error of externalErrors; track error) {
          <span class="sqtm-core-error-message">{{ error }}</span>
        }
      </div>
    }
  </div>
}
